<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Reseller Email management
 *
 * @package    Email
 * @category   Controllers/Reseller
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Reseller_Email extends Controller_Email {
	protected $secure_actions = array(
		'list'=>TRUE,
	);

	/**
	 * Show a list of emails
	 */
	public function action_list() {
		$this->meta->title = 'R|Emails Sent';

		Block::factory()
			->title(_('Emails Sent'))
			->title_icon($this->icon)
			->body(View::factory('email/list')->set('o',ORM::factory('Email_Log')->where_authorised($this->ao)->find_all()));
	}
}
?>
