<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides User Payment functions
 *
 * @package    Payment
 * @category   Controllers/User
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_User_Payment extends Controller_Payment {
	protected $secure_actions = array(
		'list'=>TRUE,
	);

	/**
	 * Show payments received
	 */
	public function action_list() {
		$this->meta->title = 'Payments Received';

		Block::factory()
			->title(sprintf('%s: %s - %s',_('Payments Received For'),$this->ao->refnum(),$this->ao->name()))
			->title_icon($this->icon)
			->body(View::factory('payment/user/list')->set('o',$this->ao->payment->find_all()));
	}
}
?>
