<div class="col-md-12">
	<fieldset>
		<legend><?php echo $o->name(Site::language());?></legend>

		<div class="form-group">
			<label for="active" class="col-sm-2 control-label">Product Active</label>
			<div class="col-sm-2"><?php echo StaticList_YesNo::form('active',$o->active,FALSE,array('label'=>'Product Active','nocg'=>TRUE,'id'=>'active','class'=>'form-control')); ?></div>
		</div>

		<div class="form-group">
			<label for="price_recurr_default" class="col-sm-2 control-label">Default Period</label>
			<div class="col-sm-2"><?php echo StaticList_RecurSchedule::form('price_recurr_default',$o->price_recurr_default,FALSE,array('label'=>'Default Period','nocg'=>TRUE,'class'=>'form-control')); ?></div>
		</div>

		<div class="form-group">
			<label for="position" class="col-sm-2 control-label">Position</label>
			<div class="col-sm-2"><?php echo Form::input('position',$o->position,array('label'=>'Order','nocg'=>TRUE,'class'=>'form-control')); ?></div>
		</div>

		<div class="form-group">
			<label for="accouting" class="col-sm-2 control-label">Accounting</label>
			<div class="col-sm-2"><?php echo Form::input('accounting',$o->accounting,array('label'=>'Accounting','autocomplete'=>'off','nocg'=>TRUE,'class'=>'form-control','data-provide'=>'typeahead')); ?></div>
			<i class="fa fa-spin fa-spinner hidden" name="acclook"></i>
		</div>

<div class="row">
		<div class="col-md-10">
			<ul class="nav nav-tabs" role="tablist">
				<?php $c=0;foreach (StaticList_RecurSchedule::table() as $k=>$v) : ?>
					<li class="<?php echo $c++ ? '' : 'active'; ?>"><a href="#tab<?php echo $k; ?>" data-toggle="tab"><?php echo $v; ?></a></li>
				<?php endforeach ?>
			</ul>

			<div class="tab-content">
				<?php $c=0;foreach (StaticList_RecurSchedule::table() as $k=>$v) : ?>
					<div class="tab-pane <?php echo $c++ ? '' : 'active'; ?>" id="tab<?php echo $k; ?>">
						<div class="col-md-7">
							<table class="table">
								<tr>
									<td>Price Active</td>
									<td colspan="2"><?php echo Form::checkbox("price_group[$k][show]",1,$o->is_price_shown($k),array('nocg'=>TRUE)); ?></td>
								</tr>

								<tr><th>&nbsp;</th><th>Setup</th><th>Base</th></tr>

								<?php foreach (ORM::factory('Group')->list_pricegroups() as $go) : ?>
									<tr>
										<td><?php echo $go->name; ?></td>

										<?php foreach (array_keys($o->price_options()) as $po) : ?>
											<td><?php echo Form::input("price_group[$k][{$go->id}][{$o->price_option($po)}]",$o->price($go->id,$k,$po),array('placeholder'=>$po,'nocg'=>TRUE)); ?></td>
										<?php endforeach ?> <!-- /price_options() -->
									</tr>
								<?php endforeach ?> <!-- /list_pricegroups() -->
							</table>
						</div>
					</div> <!-- /tab-pane -->
				<?php endforeach ?> <!-- /StaticList_RecurSchedule -->
			</div> <!-- /tab-content -->
		</div>
</div>

		<div class="form-group">
			<label for="language_id" class="col-sm-2 control-label">Language</label>
			<div class="col-sm-2"><?php echo Form::select('language_id',ORM::factory('Language')->list_select(TRUE),'',array('nocg'=>TRUE,'class'=>'form-control')); ?></div>
		</div>

		<div id="translate"></div>

		<?php if ($plugin_form) { echo '<br/>'.$plugin_form; } ?>
	</fieldset>

	<div class="row">
		<div class="col-md-6">
			<button type="submit" class="btn btn-primary">Save changes</button>
			<button type="button" class="btn">Cancel</button>
		</div>
	</div>
</div> <!-- /span -->
