<fieldset class="col-md-12">
	<legend>SSL CA Certificate Edit/Update</legend>

	<div class="dl-horizontal">
		<dt>Subject</dt>
		<dd><?php echo $o->subject(); ?></dd>

		<dt>DN</dt>
		<dd><?php echo $o->dn(); ?></dd>

		<dt>Serial</dt>
		<dd><?php echo $o->serial(); ?></dd>

		<dt>Subject Key Id</dt>
		<dd><?php echo $o->ski(); ?></dd>

		<?php if (! $o->isRoot()) : ?>
			<dt>Issuer</dt>
			<dd>
				<?php if ($o->validParent()) : ?>
				<?php echo HTML::anchor(URL::link('reseller','ssl/edit/').$o->parent_ssl_ca_id,$o->issuer()); ?>
				<?php else : ?>
				<?php echo $o->issuer(); ?>
				<?php endif ?>
			</dd>

			<dt>Issuer Serial</dt>
			<dd><?php printf('%s (%s)',$o->aki_keyid(), $o->aki_serial()); ?></dd>

			<dt>Issuer Valid</dt>
			<dd><?php echo $o->validParent(TRUE); ?></dd>
		<?php endif ?>

		<dt>Valid From</dt>
		<dd><?php echo $o->valid_from(TRUE); ?></dd>

		<dt>Valid To</dt>
		<dd><?php echo $o->valid_to(TRUE); ?></dd>

		<dt>Hash</dt>
		<dd><?php echo $o->hash(); ?></dd>

		<dt>Version</dt>
		<dd><?php echo $o->version(); ?></dd>

		<dt>Key Algorithm<dt>
		<dd><?php echo $o->algorithm(); ?></dd>
	</div> <!-- /dl-horizontal -->

<?php
	echo View::factory('field/textarea')->set('data',['field'=>'sign_pk','value'=>$o->sign_pk,'text'=>'Private Key']);
	echo View::factory('field/textarea')->set('data',['field'=>'sign_cert','value'=>$o->sign_cert,'text'=>'Public Certificate']);

	echo View::factory('field/submit');
?>
</fieldset>
