<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides login capability
 *
 * @package    OSB
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 * @also       [logout]
 */
class Controller_Login extends lnApp_Controller_Login {
	protected $login_attribute = 'username';

	/**
	 * Enable site registration
	 *
	 * @todo Needs to be written
	 */
	public function action_register() {
		// If user already signed-in
		if (Auth::instance()->logged_in())
			HTTP::redirect('welcome/index');

		HTTP::redirect('login');
	}
}
?>
