<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Main home page
 *
 * @package    OSB
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Welcome extends Controller_TemplateDefault {
	protected $auth_required = FALSE;

	public function action_index() {
		if (! Kohana::$config->load('config')->appname)
			HTTP::redirect('guide/app');

		Style::factory()
			->type('file')
			->data('media/css/pages/welcome.css');

		$this->template->content = View::factory('pages/welcome');
	}
}
?>
