<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Configuration - Database Driver
 *
 * @package    OSB
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */

return array
(
	'old' => array
	(
		'type'       => 'mysql',
		'connection' => array(
			/**
			 * The following options are available for MySQL:
			 *
			 * string   hostname     server hostname, or socket
			 * string   database     database name
			 * string   username     database username
			 * string   password     database password
			 * boolean  persistent   use persistent connections?
			 *
			 * Ports and sockets may be appended to the hostname.
			 */
			'hostname'   => 'localhost',
			'username'   => 'username',
			'password'   => 'password',
			'persistent' => FALSE,
			'database'   => 'database',
		),
		'table_prefix' => 'ab_',
		'charset'      => 'utf8',
		'caching'      => FALSE,
		'compress'     => FALSE,
		'profiling'    => TRUE,
	),
	'pdo' => array(
		'type'       => 'PDO',
		'connection' => array(
			/**
			 * The following options are available for PDO:
			 *
			 * string   dsn         Data Source Name
			 * string   username    database username
			 * string   password    database password
			 * boolean  persistent  use persistent connections?
			 */
			'dsn'        => 'mysql:host=localhost;dbname=database',
			'username'   => 'username',
			'password'   => 'password',
			'persistent' => FALSE,
		),
		/**
		 * The following extra options are available for PDO:
		 *
		 * string   identifier  set the escaping identifier
		 */
		'table_prefix' => 'ab_',
		'charset'      => 'utf8',
		'caching'      => FALSE,
	),
	'default' => array(
		'type'       => 'MySQLi',
		'connection' => array(
			'hostname'   => 'localhost',
			'username'   => 'username',
			'password'   => 'password',
			'persistent' => FALSE,
			'database'   => 'database',
			'ssl'        => NULL,
		),
		'table_prefix' => 'ab_',
		'charset'      => 'utf8',
		'caching'      => FALSE,
		'compress'     => FALSE,
		'profiling'    => TRUE,
	),
);
?>
