<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Reseller Invoice viewing functions
 *
 * @package    Invoice
 * @category   Controllers/Reseller
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Reseller_Invoice extends Controller_Invoice {
	protected $secure_actions = array(
		'list'=>TRUE,
	);

	public function action_list() {
		$this->meta->title = 'R|Customer Invoice List';

		Block::factory()
			->title('Customer Invoices')
			->title_icon($this->icon)
			->body(View::factory('invoice/list')->set('o',ORM::factory('Invoice')->where_authorised($this->ao)->where_active()->find_all()));
	}
}
?>
