<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Reseller Payment functions
 *
 * @package    Payment
 * @category   Controllers/Reseller
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Reseller_Payment extends Controller_Payment {
	protected $secure_actions = array(
		'list'=>TRUE,
	);

	/**
	 * Show a list of payments
	 */
	public function action_list() {
		$this->meta->title = 'R|Customer Payments';

		Block::factory()
			->title('Customer Payments')
			->title_icon($this->icon)
			->body(View::factory('payment/reseller/list')->set('o',ORM::factory('Payment')->where_authorised($this->ao)->find_all()));
	}
}
?>
