<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Reseller SSL Service functions
 *
 * @package    SSL
 * @category   Controllers/Reseller
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Reseller_Service_Ssl extends Controller_Service {
	protected $auth_required = TRUE;

	protected $secure_actions = array(
		'list'=>TRUE,
	);

	public function action_list() {
		Block::factory()
			->title('SSL Services')
			->title_icon($this->icon)
			->body(View::factory('service/list')->set('o',ORM::factory('Service')->where_authorised($this->ao)->list_byplugin('SSL')));
	}
}
?>
